Bug 1282432 - Anaconda leaves Yelp zombies behind
Anaconda leaves Yelp zombies behind
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 06:53 EST by Alexander Todorov
Modified: 2016-06-16 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-25.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 09:36:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Help screen error (142.07 KB, image/png)
2015-11-16 06:53 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2015-11-16 06:53:53 EST
Created attachment 1094859 [details]
Help screen error

Description of problem:

When the built-in help is started and then closed the Yelp process becomes a zombie. 


Version-Release number of selected component (if applicable):
anaconda-24.6-2.fc24.x86_64

How reproducible:
Always


Steps to Reproduce:
1. /usr/sbin/anaconda -G --dirinstall /var/tmp/
2. At the welcome spoke click the Help button
3. Yelp is started (there is an error showing the help text though)

# ps aux | grep yelp
root     19413 10.6  2.4 2235508 49544 pts/1   Sl+  06:44   0:00 yelp /usr/share/anaconda/help/en-US/WelcomeSpoke.xml
root     19443  0.0  0.0 118520   964 pts/2    S+   06:44   0:00 grep --color=auto yelp


4. Now close the yelp window (clicking the X in the top right corner). Yelp closes and shortly after:

# ps aux | grep yelp
root     19413  2.4  0.0      0     0 pts/1    Z+   06:44   0:00 [yelp] <defunct>
root     19457  0.0  0.0 118520   900 pts/2    S+   06:44   0:00 grep --color=auto yelp


If you move on to the hub screen and click the Help button again nothing happens. 


Step 4 can be also performed a bit differently:
4) Instead of closing the yelp window click somewhere else on the anaconda UI. The yelp window is hidden. Proceed to the hub and click the Help button again. Anaconda should kill the running yelp process and start it anew. Instead we get two zombie processes:

# ps aux | grep yelp
root     19250  1.2  2.4 2227300 49052 pts/0   Sl+  06:42   0:00 yelp /usr/share/anaconda/help/en-US/WelcomeSpoke.xml
root     19294  0.0  0.0 118520   912 pts/2    S+   06:43   0:00 grep --color=auto yelp
[root@dell-pe860-01 gui]# ps aux | grep yelp
root     19250  0.8  0.0      0     0 pts/0    Z+   06:42   0:00 [yelp] <defunct>
root     19296  5.3  0.0      0     0 pts/0    Z+   06:43   0:00 [yelp] <defunct>


Actual results:


Expected results:


Additional info:
Sometimes I see zombies right after clicking Help for the first time but rarely. This usually happens after the first help window is closed. 


I have accessibility enabled. I'm not sure if this matters.
Comment 1 Alexander Todorov 2016-02-03 06:30:02 EST
ping, any update here ?
Comment 2 David Shea 2016-02-03 12:44:12 EST
Are the zombie processes actually causing a problem?
Comment 3 Alexander Todorov 2016-02-05 07:28:30 EST
Sort of. In tests/gui/ we click the Help button and close the Yelp window every time we enter a new spoke. For some reason this fails when we start leaving zombies behind. 

However I tested it the other day with an updated git checkout and still saw problems but manifested slightly differently. I'll give it a thorough test once more next week and update this BZ.

Maybe we can drop the help clicking code and design a new test for that, thoughts ?
Comment 4 Jan Kurik 2016-02-24 10:51:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 David Shea 2016-05-18 16:18:41 EDT
https://github.com/rhinstaller/anaconda/pull/635

Note You need to log in before you can comment on or make changes to this bug.